package waluty;

import java.time.LocalDate;

import javax.swing.JOptionPane;

public class WyswietlArchiwalneKursyXML {

	public static void main(String[] args) {
		PobieranieXML pobieranie = new PobieranieXML();
		
		String data = JOptionPane.showInputDialog(null, "Podaj datę w formacie YYYY-MM-DD", LocalDate.now().toString());
		Tabela tabela = pobieranie.pobierzArchiwalneKursy(data);
		if(tabela == null) {
			System.out.println("Nie udało się pobrać. Niewłaściwa data albo problem z siecią.");
		} else {
			System.out.println("Pobrana tabela: " + tabela);
			for (Waluta waluta : tabela.getWaluty()) {
				System.out.println( " * " + waluta);
			}
		}
	}

}
